taffybar-0.2.1: A desktop bar similar to xmobar, but with more GUI

Safe Haskell | None

System.Taffybar.SimpleClock

Description

This module implements a very simple text-based clock widget. The widget also toggles a calendar widget when clicked. This calendar is not fancy at all and has no data backend.

Synopsis

- textClockNew :: Maybe TimeLocale -> String -> Double -> IO Widget

# Documentation

textClockNew Source

Arguments

:: Maybe TimeLocale | An TimeLocale - if not specified, the default is used. This can be used to customize how different aspects of time are localized
-> String | The time format string (see http:www.haskell.orgghcdocs6.12.2htmllibrariestime-1.1.4/Data-Time-Format.html)
-> Double | The number of seconds to wait between clock updates
-> IO Widget |

Create the widget. I recommend passing `Nothing` for the TimeLocale parameter. The format string can include Pango markup (http:developer.gnome.orgpangostable/PangoMarkupFormat.html).